# Uses of Class
java.text.Collator

Packages that use Collator
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
java.text.spi
Service provider classes for the classes in the java.text package.

## Uses of Collator in java.text

Subclasses of Collator in java.text
Modifier and Type
Class
Description
`class`
`RuleBasedCollator`
The `RuleBasedCollator` class is a concrete subclass of `Collator` that provides a simple, data-driven, table collator.
Methods in java.text that return Collator
Modifier and Type
Method
Description
`static Collator`
Collator.`getInstance()`
Gets the Collator for the current default locale.
`static Collator`
Collator.`getInstance(Locale desiredLocale)`
Gets the Collator for the desired locale.

## Uses of Collator in java.text.spi

Methods in java.text.spi that return Collator
Modifier and Type
Method
Description
`abstract Collator`
CollatorProvider.`getInstance(Locale locale)`
Returns a new `Collator` instance for the specified locale.